<?php
namespace App\Domain\Complaints\Models;

use App\Domain\Feeds\Models\Feed;
use App\Models\Model;
use App\Models\User;

class Complaint extends Model
{
    public static function boot()
    {
        parent::boot();
    }


    public function user()
    {
        return $this->belongsTo(User::class);
    }

    public function moderator()
    {
        return $this->belongsTo(User::class, 'moderator_checking_id');
    }

    public function reason()
    {
        return $this->belongsTo(Reason::class);
    }

    public function feed()
    {
        return $this->belongsTo(Feed::class);
    }

}
